Open Babel: boost Namespace Reference

Classes | Functions

# boost Namespace Reference

## Classes
struct | obmol_traversal_tag
struct | graph_traits< OpenBabel::OBMol >
struct | functor_caller
struct | recorder
## Functions
std::pair< graph_traits < OpenBabel::OBMol > ::edge_iterator, graph_traits < OpenBabel::OBMol > ::edge_iterator > | edges (const OpenBabel::OBMol &m)
std::pair< graph_traits < OpenBabel::OBMol > ::vertex_iterator, graph_traits< OpenBabel::OBMol > ::vertex_iterator > | vertices (const OpenBabel::OBMol &m)
std::pair< graph_traits < OpenBabel::OBMol > ::adjacent_iterator, graph_traits< OpenBabel::OBMol > ::adjacent_iterator > | adjacent_vertices (graph_traits< OpenBabel::OBMol >::vertex_descriptor &v, const OpenBabel::OBMol &)
graph_traits< OpenBabel::OBMol > ::vertex_descriptor | source (graph_traits< OpenBabel::OBMol >::edge_descriptor &e, const OpenBabel::OBMol &)
graph_traits< OpenBabel::OBMol > ::vertex_descriptor | target (graph_traits< OpenBabel::OBMol >::edge_descriptor e, const OpenBabel::OBMol &)
std::pair< graph_traits < OpenBabel::OBMol > ::out_edge_iterator, graph_traits< OpenBabel::OBMol > ::out_edge_iterator > | out_edges (graph_traits< OpenBabel::OBMol >::vertex_descriptor v, const OpenBabel::OBMol &)
int | out_degree (graph_traits< OpenBabel::OBMol >::vertex_descriptor v, const OpenBabel::OBMol &)
int | num_vertices (const OpenBabel::OBMol &m)
int | num_edges (const OpenBabel::OBMol &m)
template<class functor , class Tag >
functor_caller< functor, Tag > | call_functor (functor func, Tag)
template<class output_iterator , class Tag >
recorder< output_iterator, Tag > | record (output_iterator out, Tag)

## Function Documentation

std::pair< graph_traits< OpenBabel::OBMol >::edge_iterator, graph_traits< OpenBabel::OBMol >::edge_iterator > boost::edges | ( | const OpenBabel::OBMol & | m ) |

std::pair< graph_traits< OpenBabel::OBMol >::vertex_iterator, graph_traits< OpenBabel::OBMol >::vertex_iterator > boost::vertices | ( | const OpenBabel::OBMol & | m ) |

std::pair< graph_traits< OpenBabel::OBMol >::adjacent_iterator, graph_traits< OpenBabel::OBMol >::adjacent_iterator > boost::adjacent_vertices | ( | graph_traits< OpenBabel::OBMol >::vertex_descriptor & | v,
|  | const OpenBabel::OBMol & |
| ) |  |

graph_traits< OpenBabel::OBMol >::vertex_descriptor boost::source | ( | graph_traits< OpenBabel::OBMol >::edge_descriptor & | e,
|  | const OpenBabel::OBMol & |
| ) |  |

Referenced by OBBase::GetData().

graph_traits< OpenBabel::OBMol >::vertex_descriptor boost::target | ( | graph_traits< OpenBabel::OBMol >::edge_descriptor | e,
|  | const OpenBabel::OBMol & |
| ) |  |

Referenced by OBAlign::SetTarget().

std::pair< graph_traits< OpenBabel::OBMol >::out_edge_iterator, graph_traits< OpenBabel::OBMol >::out_edge_iterator > boost::out_edges | ( | graph_traits< OpenBabel::OBMol >::vertex_descriptor | v,
|  | const OpenBabel::OBMol & |
| ) |  |

int boost::out_degree | ( | graph_traits< OpenBabel::OBMol >::vertex_descriptor | v,
|  | const OpenBabel::OBMol & |
| ) |  |

int boost::num_vertices | ( | const OpenBabel::OBMol & | m ) |

int boost::num_edges | ( | const OpenBabel::OBMol & | m ) |

functor_caller< functor, Tag > boost::call_functor | ( | functor | func,
|  | Tag |
| ) |  |

recorder< output_iterator, Tag > boost::record | ( | output_iterator | out,
|  | Tag |
| ) |  |

Referenced by main().

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines